Portage is a package management system used by Gentoo Linux
# ChangeLog for net-analyzer/munin
# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/net-analyzer/munin/ChangeLog,v 1.20 2008/08/08 20:09:42 nixnut Exp $
08 Aug 2008; nixnut
Stable on ppc wrt bug 214232
06 Aug 2008; Markus Meier
add quotes
06 Aug 2008; Markus Meier
amd64/x86 stable, bug #214232
05 Aug 2008; Ferris McCormick
Sparc stable as to bug #214232.
04 Aug 2008; Jeroen Roovers
Describe local USE flags for GLEP 56.
24 Jun 2008; Robin H. Johnson
Update for newer postgres.
*munin-1.3.4-r1 (09 Jun 2008)
09 Jun 2008; Robin H. Johnson
+files/munin-1.3.4-no-html-if-no-input.patch, +munin-1.3.4-r1.ebuild~,
+munin-1.3.4-r1.ebuild:
Resolve bug #225671 and also clean up USE flags to better represent the
new 1.3.4 version.
01 Jun 2008; Robin H. Johnson
Bug #205293, dcron is fussy about crontab call syntax.
*munin-1.3.4 (31 May 2008)
31 May 2008; Robin H. Johnson
+files/munin-1.3.3-fw_conntrack_plugins.patch,
+files/munin-1.3.4-Makefile.patch,
+files/munin-1.3.4-plugin-cleanup.patch, +munin-1.3.4.ebuild:
Bug #214152, version bump. Includes fw_conntrack fixes per bug 195964.
30 Jun 2007; Joshua Kinard
Marked unstable on mips, per #183588.
*munin-1.3.3-r2 (22 May 2007)
22 May 2007; Robin H. Johnson
files/munin-1.3.3-Makefile.patch, +munin-1.3.3-r2.ebuild:
Bug #179321, previous DESTDIR patching missed a single case for the
munin-node.conf file.
13 May 2007; Robin H. Johnson
Forgot IUSE=doc.
*munin-1.3.3-r1 (13 May 2007)
13 May 2007; Robin H. Johnson
+files/munin-node_conf.d_1.3.3-r1, +files/munin-node_init.d_1.3.3-r1,
+munin-1.3.3-r1.ebuild:
Bugfixes: #171174, #176309, #176485.
13 Mar 2007; Gustavo Zacarias
Keyworded ~sparc wrt #169941
*munin-1.3.3 (25 Feb 2007)
25 Feb 2007; Robin H. Johnson
+files/munin-1.3.3-Makefile.patch, +files/munin-1.3.3-crontab,
+munin-1.3.3.ebuild:
Version bump. Fix bug 156311.
*munin-1.3.2-r3 (13 Nov 2006)
13 Nov 2006; Robin H. Johnson
+files/munin-1.3.2-r3-Makefile.patch, +munin-1.3.2-r3.ebuild:
Bug #153878 - correct mandir location.
*munin-1.3.2-r2 (19 Oct 2006)
19 Oct 2006; Robin H. Johnson
Bug #151928 - make SSL support optional. Bug #150867 - Ensure rrdtool is
built with USE=perl if we need it to be.
04 Oct 2006; Robin H. Johnson
Add more instructions for users - bug #150045.
*munin-1.3.2-r1 (08 Sep 2006)
08 Sep 2006; Robin H. Johnson
Bug #146429, try to have a minimal version, might not work right yet.
*munin-1.3.2 (11 Jul 2006)
11 Jul 2006; Robin H. Johnson
+files/munin-1.3.2-Makefile.patch, +files/munin-1.3.2-crontab,
+files/munin-1.3.2-plugin-cleanup.patch, +files/munin-1.3.2-plugins.conf,
+files/munin-1.3.2-rrdtool-comments.patch, +files/munin-init.d,
+metadata.xml, +munin-1.3.2.ebuild:
Initial commit. Bug #76018. Final ebuild by Robin H. Johnson
AUX munin-1.3.2-Makefile.patch 10340 RMD160 b6be2b774137b17c8218b3dfe86b5dcfe22bac92 SHA1 b8ef6cf0c36a6dbd34359d3645d53b9396cc821b SHA256 698a005d37380194b5d8bed7e554387ec82c58cea6fb0a53bfb5795da778b98a
AUX munin-1.3.2-crontab 904 RMD160 0adbde9198cd298a6b907aed3e7204792b067c3e SHA1 5629e0bc0860a9debf9f71ad5f32ad5d2631736d SHA256 08bb59a8ab64593ae874600ce2d339f653828f91fed238ef90c56c47e7b7c3c5
AUX munin-1.3.2-plugin-cleanup.patch 1014 RMD160 55e3af25844ee5ee162e7f0dea850a7b06c8d623 SHA1 3bddfe2ff6e85327b55d5d6548530ca16dd9a31f SHA256 7c44850aa9bd34d6a165acbe094d940a4f89bce436eb28e99688641ace52df8c
AUX munin-1.3.2-plugins.conf 1587 RMD160 9f98bfdfb4a22c1962bd49b54d3c92cfcae9b8f4 SHA1 7dff47712e53d853afa7c41f4483bde7bb4aeab2 SHA256 7df7caf134f00f0ebf0f5246895084a894f851a5a57f1c158b280adcc8182064
AUX munin-1.3.2-r3-Makefile.patch 10374 RMD160 32beb7f56fe7255d7f025f520e5551ef13b72950 SHA1 3c33d89b8a200c8d1b16f1d2b4c0dcddf4be4fa9 SHA256 19d1d38f91b0fb7ff36916506567c0331a45346bb47cfcb76f2869e65cd62864
AUX munin-1.3.2-rrdtool-comments.patch 4002 RMD160 2a0697f5b1f6e66f94b857248f346cc2e706b36f SHA1 d75bbbeb54cad301051709728ce281bb538d275c SHA256 e4c0a50189ddb54c603c6e83973c58ed7e78af4e6933c2dd2fe1d4699a0945e2
AUX munin-1.3.3-Makefile.patch 15028 RMD160 f1e06ca3c837bfff9951afe71495d79d2dec9522 SHA1 32392770a379fc8537d698b727ffe5a6121f95ea SHA256 eef3e6e6aed9579d8bd4ba35ee0be53a1696f6895d1d7b6995b460c1e39140f3
AUX munin-1.3.3-crontab 994 RMD160 ab7cc5acaeaf478413e1eb6d1dafe561d79448b0 SHA1 7a372182c407be60895a4817f9bb74f3a63fda49 SHA256 a5d9a160fc15d152a9cbdbf817a44c9c3450c60d61eeead647bf167fbe55fb89
AUX munin-1.3.3-fw_conntrack_plugins.patch 3779 RMD160 b3543e7fb59bdaee59cb665efd575e3ce48cc7aa SHA1 ef7951c42c29d02b4294fce76ece9f1ccfa957b6 SHA256 9e4c998dfeb438796b104c7f873f064a99f9359c32553562517a70c34fabb2d9
AUX munin-1.3.4-Makefile.patch 2328 RMD160 f3cf47a71f09bd4096cefe0523e78f952b6e7b49 SHA1 2f7aba31f7a5dadbf619e731d0023fec9bee1330 SHA256 f1db53e97bb7fb948691614888943dc3b833e656f8035f5d9d6c70537b2e23c2
AUX munin-1.3.4-no-html-if-no-input.patch 690 RMD160 ad8f1988f97bbb67be30ce47e843e4a158bd9947 SHA1 9f92ea6bb06d7ea0ef6734c1f5acf9e117e7591c SHA256 057d6c0a914993d28151ce2788e1ed6921d1e491bb672eaeb8f4f297d4f1338a
AUX munin-1.3.4-plugin-cleanup.patch 947 RMD160 bf3d2e97ac3a651b6b86e8a170d735e64815f26a SHA1 1c657a132a1cd8d94ebb1fb5db99544367cdca9c SHA256 6cd472a4886a04d7c89e5006f223c6b24fd6e91c9263e13663db9157aefd8d0a
AUX munin-init.d 581 RMD160 366649a8ac7ec0b2ce4c48913a7cecb65ca69ea6 SHA1 60c0cccd84678692911b43f7f5800fff115b42ab SHA256 a4332d7ac415e4cfda94189947e0c1bdd87d1029845bbea91799ee7e1a8ebb1f
AUX munin-node_conf.d_1.3.3-r1 315 RMD160 e33754bafcfb7b9a737ff282157e2201a9a5bbdd SHA1 fc247c9c369543e00faf28e8ce166814a1079e36 SHA256 4a895da9eba3e7ab4b3ce48c6dc9e29297a32ef5ec33be73581867afc4c5e961
AUX munin-node_init.d_1.3.3-r1 651 RMD160 80bb9d847eb14425fa5bd6092dfec0328f2f2626 SHA1 77dcab26eaf48e515e2f187b1a5324b507d19eae SHA256 04f1bfa5d97a451bb9aa3bb81caceb269411c55151c78dffeae1b8696fea937d
DIST munin_1.3.2.tar.gz 309319 RMD160 7bcc16d00ad28731041015ef240144ed0c4fdeb4 SHA1 575c1dc3373e2e001accd1920fd815d9b875c95a SHA256 964887d3af5b5b1fadbabb4c887095820613ea06c768251d6a9c37fa35efcc40
DIST munin_1.3.3.tar.gz 386976 RMD160 6fbae6ddd237332c6d28d3827a4b163259d054ea SHA1 0cd9e8e81231782d63d4ed2e52cdf85bea0d07c0 SHA256 8f9bec688084cb37b573a70ecf3617d0ce7389f42f22c48b3fa4c53a68a9d7f8
DIST munin_1.3.4.tar.gz 451802 RMD160 2580fbf6e78236db182976e8f22c555417e5a2a3 SHA1 9ab7beb3589916c42c24046105f3a898e3293758 SHA256 fdd9dcba0b90373a4ba61da8fd65ac0b8365949a32032d514fc0fd541ab84d12
EBUILD munin-1.3.2-r1.ebuild 3568 RMD160 f8897fcb77b264d6ffc5d9e6eeda3cdae93265e1 SHA1 60a2b5ece16633028d193cf338e7599445c70d7b SHA256 f99176d16d99c53dde24c30280e280e069eb188194fdf3a038ae33ea74068d41
EBUILD munin-1.3.2-r2.ebuild 3851 RMD160 5598a82d8f03582346e5a895e14bc15d54a35f72 SHA1 450eb44073e7ce383153805fe878c7b97b54c6de SHA256 3e452c03a007767cef941e99dcb3f67a04905f173781a0aa55aefa5b0cb67cc0
EBUILD munin-1.3.2-r3.ebuild 3875 RMD160 da1dc4c2e12bdbfbc1b7909122da78a4062545f3 SHA1 9528749c0f9269bf5baabe6d1853fc66a3bb469f SHA256 801ca7aa8cdb912ec7fb20cd5aa23590bc9f7754d63763d679d23abedb719719
EBUILD munin-1.3.2.ebuild 3485 RMD160 94f2957fcde45418cbf2d7f88b7cc27fadddce38 SHA1 197e46516649331e495b40bd8419034214b7960e SHA256 a4fd76456f2bda0cc8e60f1eb045a42e6edf557c0d963b6b672f599374868b1e
EBUILD munin-1.3.3-r1.ebuild 3895 RMD160 f8545fc8ccddc921273a008a7c50ed63cedfc88f SHA1 f2408a3b7d5c35aca2ba9eb43b26fed5a7de9770 SHA256 7bab6cd197015b9817f96d2d0141fbb0ea99cb06ab6481d15f7e74bc2ea15274
EBUILD munin-1.3.3-r2.ebuild 3899 RMD160 9d02e45dcb0c0d491608dd7760b60593522dabe2 SHA1 0b4a6bad14fd9658b30444d2696a730b048fb850 SHA256 7d3179c8ce74c516e5be1b18d722b69970dd80f193545ca96cfb33bc64a09140
EBUILD munin-1.3.3.ebuild 3848 RMD160 7c28208bb9d72c7c101a2564978a8e66e11678b1 SHA1 b11e5fb9a5eb369594c81e2f286ddf7ca1aaf75b SHA256 4811486d38a10cff59d98e3877d3547ad5f57ee2deff71f426389a082d44db0b
EBUILD munin-1.3.4-r1.ebuild 4345 RMD160 e2ae51857a62c6c2ebd83a027a0cc6e0ea2d8e6e SHA1 693625893fc6fb4cac2a6d1cede9871cd976d3d3 SHA256 32c0faf6bcf8318b00adad04375e224c9a66e9e5547e2dd98773f00cac447a78
EBUILD munin-1.3.4.ebuild 4139 RMD160 b289cacd00d3160876278044539d91c279add827 SHA1 5979f56c7e2ab4a024d2bdf82614d9777eaf5aeb SHA256 b8f3e44985fe3d88c61f1a2bb44f303acc50c13e80790abf1de113c7236f293c
MISC ChangeLog 3711 RMD160 d68e459640f95e22fec807761bdb464f557dc9c8 SHA1 8b74b60f272726eb6426d643bae9f3c391e47155 SHA256 18f482a680794a603ad85a4c495aedc85a1cd5f7554a7d88f9cf1c65a3c04653
MISC metadata.xml 1358 RMD160 96398baf01ddf52ac92bf9db2978fba43c022b2c SHA1 ccaa230711e1a3af054fae27583d0e3b10645dcc SHA256 2f8f87757cd0151b129a526b7c670f55182b8e22bf0d32236814a236398e539f
Munin the tool surveys all your computers and remembers what it saw. It
presents all the information in in graphs through a web interface. Its
emphasis is on plug and play capabilities. After completing a installation a
high number of monitoring plugins will be playing with no more effort. Using
Munin you can easily monitor the performance of your computers, networks,
SANs, and quite possibly applications as well. It makes it easy to determine
"what's different today" when a performance problem crops up. It makes it
easy to see how you're doing capacity wise on all limited resources.
# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/net-analyzer/munin/munin-1.3.2-r1.ebuild,v 1.2 2006/10/19 09:48:27 robbat2 Exp $
inherit eutils
DESCRIPTION="Munin Server Monitoring Tool"
HOMEPAGE="http://munin.sourceforge.net"
SRC_URI="mirror://sourceforge/munin/${PN}_${PV}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~x86 ~ppc ~amd64"
IUSE="doc minimal munin-irc munin-dhcp munin-surfboard munin-apache munin-squid"
# Upstream's listing of required modules is NOT correct!
DEPEND_COM="dev-lang/perl
dev-perl/net-server
sys-process/procps
dev-perl/Net-SSLeay
dev-perl/Net-SNMP
dev-perl/DateManip
virtual/perl-Time-HiRes
virtual/perl-Digest-MD5
virtual/perl-Getopt-Long
virtual/perl-Storable
virtual/perl-Text-Balanced
!minimal? ( dev-perl/HTML-Template
net-analyzer/rrdtool )
munin-irc? ( dev-perl/Net-IRC )
munin-dhcp? ( dev-perl/Net-Netmask dev-perl/libwww-perl )
munin-surfboard? ( dev-perl/libwww-perl )
munin-apache? ( dev-perl/libwww-perl )
munin-squid? ( virtual/perl-MIME-Base64 )"
# Sybase isn't supported in Gentoo
#munin-sybase? ( dev-perl/DBD-Sybase )
DEPEND="${DEPEND_COM}
doc? ( app-text/htmldoc
app-text/html2text )"
RDEPEND="${DEPEND_COM}
virtual/cron"
pkg_setup() {
enewgroup munin
enewuser munin 177 -1 /var/lib/munin munin
}
src_unpack() {
unpack ${A}
# upstream needs a lot of DESTDIR loving
# and Gentoo location support
EPATCH_OPTS="-p1 -d ${S}" epatch ${FILESDIR}/${P}-Makefile.patch
# Fix noise in the plugins
EPATCH_OPTS="-p1 -d ${S}" epatch ${FILESDIR}/${P}-plugin-cleanup.patch
# Make it work with new versions of Rrdtool where : in COMMENT blocks must
# be escaped!
EPATCH_OPTS="-p1 -d ${S}" epatch ${FILESDIR}/${P}-rrdtool-comments.patch
}
src_compile() {
emake build build-man || die "build/build-man failed"
if use doc; then
emake build-doc || die "build-doc failed"
fi
}
src_install() {
local dirs
dirs="/var/log/munin /var/lib/munin"
dirs="${dirs} /var/lib/munin/plugin-state"
dirs="${dirs} /var/run/munin/plugin-state"
keepdir ${dirs}
emake DESTDIR="${D}" install-main install-man install-node install-node-plugins || die "install failed"
fowners munin:munin ${dirs}
if use doc; then
emake DESTDIR="${D}" install-doc install-man || die "install docs failed"
fi
insinto /etc/munin/plugin-conf.d/
newins ${FILESDIR}/${P}-plugins.conf munin-node
# make sure we've got everything in the correct directory
insinto /var/lib/munin
newins ${FILESDIR}/${P}-crontab crontab
newinitd ${FILESDIR}/munin-init.d munin-node
dodoc ChangeLog INSTALL README-apache-cgi.in README.api logo.eps
munin-doc-base.html munin-faq-base.html TODO.plugins
newdoc server/TODO TODO.server
newdoc node/TODO TODO.node
}
pkg_config() {
crontab -l -u munin 2>/dev/null | grep --silent '.*'
if [ $? -eq 0 ]; then
die "Crontab already install for user munin. Not overwriting."
fi
einfo "Press enter to install the default crontab for the munin master"
einfo "installation from /var/lib/munin/crontab"
einfo "If you have a large site, you may wish to customize it."
read
crontab -u munin /var/lib/munin/crontab
}
pkg_postinst() {
einfo "Please follow the munin documentation to set up the plugins you"
einfo "need, afterwards start munin-node via /etc/init.d/munin-node."
einfo "To have munin's cronjob automatically configured for you if this is"
einfo "your munin master installation, please:"
einfo "emerge --config net-analyzer/munin"
}
# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/net-analyzer/munin/munin-1.3.2-r2.ebuild,v 1.1 2006/10/19 10:29:07 robbat2 Exp $
inherit eutils
DESCRIPTION="Munin Server Monitoring Tool"
HOMEPAGE="http://munin.sourceforge.net"
SRC_URI="mirror://sourceforge/munin/${PN}_${PV}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~x86 ~ppc ~amd64"
IUSE="doc minimal munin-irc munin-dhcp munin-surfboard munin-apache munin-squid ssl"
# Upstream's listing of required modules is NOT correct!
DEPEND_COM="dev-lang/perl
dev-perl/net-server
sys-process/procps
ssl? ( dev-perl/Net-SSLeay )
dev-perl/Net-SNMP
dev-perl/DateManip
virtual/perl-Time-HiRes
virtual/perl-Digest-MD5
virtual/perl-Getopt-Long
virtual/perl-Storable
virtual/perl-Text-Balanced
!minimal? ( dev-perl/HTML-Template
net-analyzer/rrdtool )
munin-irc? ( dev-perl/Net-IRC )
munin-dhcp? ( dev-perl/Net-Netmask dev-perl/libwww-perl )
munin-surfboard? ( dev-perl/libwww-perl )
munin-apache? ( dev-perl/libwww-perl )
munin-squid? ( virtual/perl-MIME-Base64 )"
# Sybase isn't supported in Gentoo
#munin-sybase? ( dev-perl/DBD-Sybase )
DEPEND="${DEPEND_COM}
doc? ( app-text/htmldoc
app-text/html2text )"
RDEPEND="${DEPEND_COM}
virtual/cron"
pkg_setup() {
enewgroup munin
enewuser munin 177 -1 /var/lib/munin munin
}
src_unpack() {
if use !minimal; then
if ! built_with_use net-analyzer/rrdtool perl ; then
die 'Sorry, munin needs net-analyzer/rrdtool built with USE=perl.'
fi
fi
unpack ${A}
# upstream needs a lot of DESTDIR loving
# and Gentoo location support
EPATCH_OPTS="-p1 -d ${S}" epatch ${FILESDIR}/${P}-Makefile.patch
# Fix noise in the plugins
EPATCH_OPTS="-p1 -d ${S}" epatch ${FILESDIR}/${P}-plugin-cleanup.patch
# Make it work with new versions of Rrdtool where : in COMMENT blocks must
# be escaped!
EPATCH_OPTS="-p1 -d ${S}" epatch ${FILESDIR}/${P}-rrdtool-comments.patch
}
src_compile() {
emake build build-man || die "build/build-man failed"
if use doc; then
emake build-doc || die "build-doc failed"
fi
}
src_install() {
local dirs
dirs="/var/log/munin /var/lib/munin"
dirs="${dirs} /var/lib/munin/plugin-state"
dirs="${dirs} /var/run/munin/plugin-state"
keepdir ${dirs}
emake DESTDIR="${D}" install-main install-man install-node install-node-plugins || die "install failed"
fowners munin:munin ${dirs}
if use doc; then
emake DESTDIR="${D}" install-doc install-man || die "install docs failed"
fi
insinto /etc/munin/plugin-conf.d/
newins ${FILESDIR}/${P}-plugins.conf munin-node
# ensure TLS is disabled is built without SSL
use ssl || echo "tls disabled" >>${D}/etc/munin/munin-node.conf
# make sure we've got everything in the correct directory
insinto /var/lib/munin
newins ${FILESDIR}/${P}-crontab crontab
newinitd ${FILESDIR}/munin-init.d munin-node
dodoc ChangeLog INSTALL README-apache-cgi.in README.api logo.eps
munin-doc-base.html munin-faq-base.html TODO.plugins
newdoc server/TODO TODO.server
newdoc node/TODO TODO.node
}
pkg_config() {
crontab -l -u munin 2>/dev/null | grep --silent '.*'
if [ $? -eq 0 ]; then
die "Crontab already install for user munin. Not overwriting."
fi
einfo "Press enter to install the default crontab for the munin master"
einfo "installation from /var/lib/munin/crontab"
einfo "If you have a large site, you may wish to customize it."
read
crontab -u munin /var/lib/munin/crontab
}
pkg_postinst() {
einfo "Please follow the munin documentation to set up the plugins you"
einfo "need, afterwards start munin-node via /etc/init.d/munin-node."
einfo "To have munin's cronjob automatically configured for you if this is"
einfo "your munin master installation, please:"
einfo "emerge --config net-analyzer/munin"
}
# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/net-analyzer/munin/munin-1.3.2-r3.ebuild,v 1.1 2006/11/13 10:52:33 robbat2 Exp $
inherit eutils
DESCRIPTION="Munin Server Monitoring Tool"
HOMEPAGE="http://munin.sourceforge.net"
SRC_URI="mirror://sourceforge/munin/${PN}_${PV}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~x86 ~ppc ~amd64"
IUSE="doc minimal munin-irc munin-dhcp munin-surfboard munin-apache munin-squid ssl"
# Upstream's listing of required modules is NOT correct!
DEPEND_COM="dev-lang/perl
dev-perl/net-server
sys-process/procps
ssl? ( dev-perl/Net-SSLeay )
dev-perl/Net-SNMP
dev-perl/DateManip
virtual/perl-Time-HiRes
virtual/perl-Digest-MD5
virtual/perl-Getopt-Long
virtual/perl-Storable
virtual/perl-Text-Balanced
!minimal? ( dev-perl/HTML-Template
net-analyzer/rrdtool )
munin-irc? ( dev-perl/Net-IRC )
munin-dhcp? ( dev-perl/Net-Netmask dev-perl/libwww-perl )
munin-surfboard? ( dev-perl/libwww-perl )
munin-apache? ( dev-perl/libwww-perl )
munin-squid? ( virtual/perl-MIME-Base64 )"
# Sybase isn't supported in Gentoo
#munin-sybase? ( dev-perl/DBD-Sybase )
DEPEND="${DEPEND_COM}
doc? ( app-text/htmldoc
app-text/html2text )"
RDEPEND="${DEPEND_COM}
virtual/cron"
pkg_setup() {
enewgroup munin
enewuser munin 177 -1 /var/lib/munin munin
}
src_unpack() {
if use !minimal; then
if ! built_with_use net-analyzer/rrdtool perl ; then
die 'Sorry, munin needs net-analyzer/rrdtool built with USE=perl.'
fi
fi
unpack ${A}
# upstream needs a lot of DESTDIR loving
# and Gentoo location support
EPATCH_OPTS="-p1 -d ${S}" epatch ${FILESDIR}/${PN}-1.3.2-r3-Makefile.patch
# Fix noise in the plugins
EPATCH_OPTS="-p1 -d ${S}" epatch ${FILESDIR}/${PN}-1.3.2-plugin-cleanup.patch
# Make it work with new versions of Rrdtool where : in COMMENT blocks must
# be escaped!
EPATCH_OPTS="-p1 -d ${S}" epatch ${FILESDIR}/${PN}-1.3.2-rrdtool-comments.patch
}
src_compile() {
emake build build-man || die "build/build-man failed"
if use doc; then
emake build-doc || die "build-doc failed"
fi
}
src_install() {
local dirs
dirs="/var/log/munin /var/lib/munin"
dirs="${dirs} /var/lib/munin/plugin-state"
dirs="${dirs} /var/run/munin/plugin-state"
keepdir ${dirs}
emake DESTDIR="${D}" install-main install-man install-node install-node-plugins || die "install failed"
fowners munin:munin ${dirs}
if use doc; then
emake DESTDIR="${D}" install-doc install-man || die "install docs failed"
fi
insinto /etc/munin/plugin-conf.d/
newins ${FILESDIR}/${P}-plugins.conf munin-node
# ensure TLS is disabled is built without SSL
use ssl || echo "tls disabled" >>${D}/etc/munin/munin-node.conf
# make sure we've got everything in the correct directory
insinto /var/lib/munin
newins ${FILESDIR}/${P}-crontab crontab
newinitd ${FILESDIR}/munin-init.d munin-node
dodoc ChangeLog INSTALL README-apache-cgi.in README.api logo.eps
munin-doc-base.html munin-faq-base.html TODO.plugins
newdoc server/TODO TODO.server
newdoc node/TODO TODO.node
}
pkg_config() {
crontab -l -u munin 2>/dev/null | grep --silent '.*'
if [ $? -eq 0 ]; then
die "Crontab already install for user munin. Not overwriting."
fi
einfo "Press enter to install the default crontab for the munin master"
einfo "installation from /var/lib/munin/crontab"
einfo "If you have a large site, you may wish to customize it."
read
crontab -u munin /var/lib/munin/crontab
}
pkg_postinst() {
einfo "Please follow the munin documentation to set up the plugins you"
einfo "need, afterwards start munin-node via /etc/init.d/munin-node."
einfo "To have munin's cronjob automatically configured for you if this is"
einfo "your munin master installation, please:"
einfo "emerge --config net-analyzer/munin"
}
# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/net-analyzer/munin/munin-1.3.2.ebuild,v 1.2 2006/10/19 09:48:27 robbat2 Exp $
inherit eutils
DESCRIPTION="Munin Server Monitoring Tool"
HOMEPAGE="http://munin.sourceforge.net"
SRC_URI="mirror://sourceforge/munin/${PN}_${PV}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~x86 ~ppc ~amd64"
IUSE="doc munin-irc munin-dhcp munin-surfboard munin-apache munin-squid"
# Upstream's listing of required modules is NOT correct!
DEPEND_COM="dev-lang/perl
net-analyzer/rrdtool
dev-perl/net-server
sys-process/procps
dev-perl/Net-SSLeay
dev-perl/Net-SNMP
dev-perl/DateManip
virtual/perl-Time-HiRes
virtual/perl-Digest-MD5
virtual/perl-Getopt-Long
virtual/perl-MIME-Base64
virtual/perl-Storable
virtual/perl-Text-Balanced
dev-perl/HTML-Template
munin-irc? ( dev-perl/Net-IRC )
munin-dhcp? ( dev-perl/Net-Netmask dev-perl/libwww-perl )
munin-surfboard? ( dev-perl/libwww-perl )
munin-apache? ( dev-perl/libwww-perl )
munin-squid? ( virtual/perl-MIME-Base64 )"
# Sybase isn't supported in Gentoo
#munin-sybase? ( dev-perl/DBD-Sybase )
DEPEND="${DEPEND_COM}
doc? ( app-text/htmldoc
app-text/html2text )"
RDEPEND="${DEPEND_COM}
virtual/cron"
pkg_setup() {
enewgroup munin
enewuser munin 177 -1 /var/lib/munin munin
}
src_unpack() {
unpack ${A}
# upstream needs a lot of DESTDIR loving
# and Gentoo location support
EPATCH_OPTS="-p1 -d ${S}" epatch ${FILESDIR}/${P}-Makefile.patch
# Fix noise in the plugins
EPATCH_OPTS="-p1 -d ${S}" epatch ${FILESDIR}/${P}-plugin-cleanup.patch
# Make it work with new versions of Rrdtool where : in COMMENT blocks must
# be escaped!
EPATCH_OPTS="-p1 -d ${S}" epatch ${FILESDIR}/${P}-rrdtool-comments.patch
}
src_compile() {
emake build build-man || die "build/build-man failed"
if use doc; then
emake build-doc || die "build-doc failed"
fi
}
src_install() {
local dirs
dirs="/var/log/munin /var/lib/munin"
dirs="${dirs} /var/lib/munin/plugin-state"
dirs="${dirs} /var/run/munin/plugin-state"
keepdir ${dirs}
emake DESTDIR="${D}" install-main install-man install-node install-node-plugins || die "install failed"
fowners munin:munin ${dirs}
if use doc; then
emake DESTDIR="${D}" install-doc install-man || die "install docs failed"
fi
insinto /etc/munin/plugin-conf.d/
newins ${FILESDIR}/${P}-plugins.conf munin-node
# make sure we've got everything in the correct directory
insinto /var/lib/munin
newins ${FILESDIR}/${P}-crontab crontab
newinitd ${FILESDIR}/munin-init.d munin-node
dodoc ChangeLog INSTALL README-apache-cgi.in README.api logo.eps
munin-doc-base.html munin-faq-base.html TODO.plugins
newdoc server/TODO TODO.server
newdoc node/TODO TODO.node
}
pkg_config() {
crontab -l -u munin 2>/dev/null | grep --silent '.*'
if [ $? -eq 0 ]; then
die "Crontab already install for user munin. Not overwriting."
fi
einfo "Press enter to install the default crontab for the munin master"
einfo "installation from /var/lib/munin/crontab"
einfo "If you have a large site, you may wish to customize it."
read
crontab -u munin /var/lib/munin/crontab
}
pkg_postinst() {
einfo "Please start munin-node via /etc/init.d/munin-node."
einfo "To have munin's cronjob automatically configured for you if this is"
einfo "your munin master installation, please:"
einfo "emerge --config net-analyzer/munin"
}
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/net-analyzer/munin/munin-1.3.3-r1.ebuild,v 1.1 2007/05/13 06:07:48 robbat2 Exp $
inherit eutils
DESCRIPTION="Munin Server Monitoring Tool"
HOMEPAGE="http://munin.sourceforge.net"
SRC_URI="mirror://sourceforge/munin/${PN}_${PV}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~sparc ~x86"
IUSE="doc minimal munin-irc munin-dhcp munin-surfboard munin-apache munin-squid ssl"
# Upstream's listing of required modules is NOT correct!
DEPEND_COM="dev-lang/perl
dev-perl/net-server
sys-process/procps
ssl? ( dev-perl/Net-SSLeay )
dev-perl/Net-SNMP
dev-perl/DateManip
virtual/perl-Time-HiRes
virtual/perl-Digest-MD5
virtual/perl-Getopt-Long
virtual/perl-Storable
virtual/perl-Text-Balanced
!minimal? ( dev-perl/HTML-Template
net-analyzer/rrdtool )
munin-irc? ( dev-perl/Net-IRC )
munin-dhcp? ( dev-perl/Net-Netmask dev-perl/libwww-perl )
munin-surfboard? ( dev-perl/libwww-perl )
munin-apache? ( dev-perl/libwww-perl )
munin-squid? ( virtual/perl-MIME-Base64 )"
# Sybase isn't supported in Gentoo
#munin-sybase? ( dev-perl/DBD-Sybase )
# Keep this seperate, as previous versions have had other deps here
DEPEND="${DEPEND_COM}"
RDEPEND="${DEPEND_COM}
!minimal? ( virtual/cron )"
pkg_setup() {
enewgroup munin
enewuser munin 177 -1 /var/lib/munin munin
}
src_unpack() {
if use !minimal; then
if ! built_with_use net-analyzer/rrdtool perl ; then
die 'Sorry, munin needs net-analyzer/rrdtool built with USE=perl.'
fi
fi
unpack ${A}
# upstream needs a lot of DESTDIR loving
# and Gentoo location support
EPATCH_OPTS="-p1 -d ${S}" epatch ${FILESDIR}/${PN}-1.3.3-Makefile.patch
# Fix noise in the plugins
EPATCH_OPTS="-p1 -d ${S}" epatch ${FILESDIR}/${PN}-1.3.2-plugin-cleanup.patch
}
src_compile() {
emake build build-man || die "build/build-man failed"
if use doc; then
emake build-doc || die "build-doc failed"
fi
#Ensure TLS is disabled if built without SSL
if ! use ssl; then
echo "tls disabled" >> ${S}/build/node/munin-node.conf \
|| die "Fixing munin-node.conf Failed!"
echo "tls disabled" >> ${S}/build/server/munin.conf \
|| die "Fixing munin.conf Failed!"
fi
}
src_install() {
local dirs
dirs="/var/log/munin/ /var/lib/munin/"
dirs="${dirs} /var/lib/munin/plugin-state/"
dirs="${dirs} /var/run/munin/plugin-state/"
dirs="${dirs} /etc/munin/plugin-conf.d/"
dirs="${dirs} /etc/munin/plugins/"
keepdir ${dirs}
emake DESTDIR="${D}" install-main install-man install-node install-node-plugins || die "install failed"
fowners munin:munin ${dirs}
emake DESTDIR="${D}" install-man || die "install manpages failed"
insinto /etc/munin/plugin-conf.d/
newins ${FILESDIR}/${PN}-1.3.2-plugins.conf munin-node
# make sure we've got everything in the correct directory
insinto /var/lib/munin
newins ${FILESDIR}/${P}-crontab crontab
newinitd ${FILESDIR}/munin-node_init.d_1.3.3-r1 munin-node
newconfd ${FILESDIR}/munin-node_conf.d_1.3.3-r1 munin-node
dodoc README ChangeLog INSTALL logo.eps logo.svg build/resources/apache*
}
pkg_config() {
einfo "Press enter to install the default crontab for the munin master"
einfo "installation from /var/lib/munin/crontab"
einfo "If you have a large site, you may wish to customize it."
read
crontab -u munin /var/lib/munin/crontab
}
pkg_postinst() {
elog "Please follow the munin documentation to set up the plugins you"
elog "need, afterwards start munin-node via /etc/init.d/munin-node."
elog "To have munin's cronjob automatically configured for you if this is"
elog "your munin master installation, please:"
elog "emerge --config net-analyzer/munin"
elog ""
elog "Please note that the crontab has undergone some modifications"
elog "since 1.3.2, and you should update to it!"
}
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/net-analyzer/munin/munin-1.3.3-r2.ebuild,v 1.2 2007/06/30 01:32:01 kumba Exp $
inherit eutils
DESCRIPTION="Munin Server Monitoring Tool"
HOMEPAGE="http://munin.sourceforge.net"
SRC_URI="mirror://sourceforge/munin/${PN}_${PV}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~mips ~ppc ~sparc ~x86"
IUSE="doc minimal munin-irc munin-dhcp munin-surfboard munin-apache munin-squid ssl"
# Upstream's listing of required modules is NOT correct!
DEPEND_COM="dev-lang/perl
dev-perl/net-server
sys-process/procps
ssl? ( dev-perl/Net-SSLeay )
dev-perl/Net-SNMP
dev-perl/DateManip
virtual/perl-Time-HiRes
virtual/perl-Digest-MD5
virtual/perl-Getopt-Long
virtual/perl-Storable
virtual/perl-Text-Balanced
!minimal? ( dev-perl/HTML-Template
net-analyzer/rrdtool )
munin-irc? ( dev-perl/Net-IRC )
munin-dhcp? ( dev-perl/Net-Netmask dev-perl/libwww-perl )
munin-surfboard? ( dev-perl/libwww-perl )
munin-apache? ( dev-perl/libwww-perl )
munin-squid? ( virtual/perl-MIME-Base64 )"
# Sybase isn't supported in Gentoo
#munin-sybase? ( dev-perl/DBD-Sybase )
# Keep this seperate, as previous versions have had other deps here
DEPEND="${DEPEND_COM}"
RDEPEND="${DEPEND_COM}
!minimal? ( virtual/cron )"
pkg_setup() {
enewgroup munin
enewuser munin 177 -1 /var/lib/munin munin
}
src_unpack() {
if use !minimal; then
if ! built_with_use net-analyzer/rrdtool perl ; then
die 'Sorry, munin needs net-analyzer/rrdtool built with USE=perl.'
fi
fi
unpack ${A}
# upstream needs a lot of DESTDIR loving
# and Gentoo location support
EPATCH_OPTS="-p1 -d ${S}" epatch ${FILESDIR}/${PN}-1.3.3-Makefile.patch
# Fix noise in the plugins
EPATCH_OPTS="-p1 -d ${S}" epatch ${FILESDIR}/${PN}-1.3.2-plugin-cleanup.patch
}
src_compile() {
emake build build-man || die "build/build-man failed"
if use doc; then
emake build-doc || die "build-doc failed"
fi
#Ensure TLS is disabled if built without SSL
if ! use ssl; then
echo "tls disabled" >> ${S}/build/node/munin-node.conf \
|| die "Fixing munin-node.conf Failed!"
echo "tls disabled" >> ${S}/build/server/munin.conf \
|| die "Fixing munin.conf Failed!"
fi
}
src_install() {
local dirs
dirs="/var/log/munin/ /var/lib/munin/"
dirs="${dirs} /var/lib/munin/plugin-state/"
dirs="${dirs} /var/run/munin/plugin-state/"
dirs="${dirs} /etc/munin/plugin-conf.d/"
dirs="${dirs} /etc/munin/plugins/"
keepdir ${dirs}
emake DESTDIR="${D}" install-main install-man install-node install-node-plugins || die "install failed"
fowners munin:munin ${dirs}
emake DESTDIR="${D}" install-man || die "install manpages failed"
insinto /etc/munin/plugin-conf.d/
newins ${FILESDIR}/${PN}-1.3.2-plugins.conf munin-node
# make sure we've got everything in the correct directory
insinto /var/lib/munin
newins ${FILESDIR}/${P}-crontab crontab
newinitd ${FILESDIR}/munin-node_init.d_1.3.3-r1 munin-node
newconfd ${FILESDIR}/munin-node_conf.d_1.3.3-r1 munin-node
dodoc README ChangeLog INSTALL logo.eps logo.svg build/resources/apache*
}
pkg_config() {
einfo "Press enter to install the default crontab for the munin master"
einfo "installation from /var/lib/munin/crontab"
einfo "If you have a large site, you may wish to customize it."
read
crontab -u munin /var/lib/munin/crontab
}
pkg_postinst() {
elog "Please follow the munin documentation to set up the plugins you"
elog "need, afterwards start munin-node via /etc/init.d/munin-node."
elog "To have munin's cronjob automatically configured for you if this is"
elog "your munin master installation, please:"
elog "emerge --config net-analyzer/munin"
elog ""
elog "Please note that the crontab has undergone some modifications"
elog "since 1.3.2, and you should update to it!"
}
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/net-analyzer/munin/munin-1.3.3.ebuild,v 1.3 2007/05/13 06:09:08 robbat2 Exp $
inherit eutils
DESCRIPTION="Munin Server Monitoring Tool"
HOMEPAGE="http://munin.sourceforge.net"
SRC_URI="mirror://sourceforge/munin/${PN}_${PV}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~sparc ~x86"
IUSE="doc minimal munin-irc munin-dhcp munin-surfboard munin-apache munin-squid ssl"
# Upstream's listing of required modules is NOT correct!
DEPEND_COM="dev-lang/perl
dev-perl/net-server
sys-process/procps
ssl? ( dev-perl/Net-SSLeay )
dev-perl/Net-SNMP
dev-perl/DateManip
virtual/perl-Time-HiRes
virtual/perl-Digest-MD5
virtual/perl-Getopt-Long
virtual/perl-Storable
virtual/perl-Text-Balanced
!minimal? ( dev-perl/HTML-Template
net-analyzer/rrdtool )
munin-irc? ( dev-perl/Net-IRC )
munin-dhcp? ( dev-perl/Net-Netmask dev-perl/libwww-perl )
munin-surfboard? ( dev-perl/libwww-perl )
munin-apache? ( dev-perl/libwww-perl )
munin-squid? ( virtual/perl-MIME-Base64 )"
# Sybase isn't supported in Gentoo
#munin-sybase? ( dev-perl/DBD-Sybase )
# Keep this seperate, as previous versions have had other deps here
DEPEND="${DEPEND_COM}"
RDEPEND="${DEPEND_COM}
virtual/cron"
pkg_setup() {
enewgroup munin
enewuser munin 177 -1 /var/lib/munin munin
}
src_unpack() {
if use !minimal; then
if ! built_with_use net-analyzer/rrdtool perl ; then
die 'Sorry, munin needs net-analyzer/rrdtool built with USE=perl.'
fi
fi
unpack ${A}
# upstream needs a lot of DESTDIR loving
# and Gentoo location support
EPATCH_OPTS="-p1 -d ${S}" epatch ${FILESDIR}/${PN}-1.3.3-Makefile.patch
# Fix noise in the plugins
EPATCH_OPTS="-p1 -d ${S}" epatch ${FILESDIR}/${PN}-1.3.2-plugin-cleanup.patch
# Merged by upstream
## Make it work with new versions of Rrdtool where : in COMMENT blocks must
## be escaped!
##EPATCH_OPTS="-p1 -d ${S}" epatch ${FILESDIR}/${PN}-1.3.2-rrdtool-comments.patch
}
src_compile() {
emake build build-man || die "build/build-man failed"
if use doc; then
emake build-doc || die "build-doc failed"
fi
}
src_install() {
local dirs
dirs="/var/log/munin/ /var/lib/munin/"
dirs="${dirs} /var/lib/munin/plugin-state/"
dirs="${dirs} /var/run/munin/plugin-state/"
dirs="${dirs} /etc/munin/plugin-conf.d/"
dirs="${dirs} /etc/munin/plugins/"
keepdir ${dirs}
emake DESTDIR="${D}" install-main install-man install-node install-node-plugins || die "install failed"
fowners munin:munin ${dirs}
emake DESTDIR="${D}" install-man || die "install manpages failed"
insinto /etc/munin/plugin-conf.d/
newins ${FILESDIR}/${PN}-1.3.2-plugins.conf munin-node
# ensure TLS is disabled if built without SSL
use ssl || echo "tls disabled" >>${D}/etc/munin/munin-node.conf
# make sure we've got everything in the correct directory
insinto /var/lib/munin
newins ${FILESDIR}/${P}-crontab crontab
newinitd ${FILESDIR}/munin-init.d munin-node
dodoc README ChangeLog INSTALL logo.eps logo.svg build/resources/apache*
}
pkg_config() {
einfo "Press enter to install the default crontab for the munin master"
einfo "installation from /var/lib/munin/crontab"
einfo "If you have a large site, you may wish to customize it."
read
crontab -u munin /var/lib/munin/crontab
}
pkg_postinst() {
elog "Please follow the munin documentation to set up the plugins you"
elog "need, afterwards start munin-node via /etc/init.d/munin-node."
elog "To have munin's cronjob automatically configured for you if this is"
elog "your munin master installation, please:"
elog "emerge --config net-analyzer/munin"
elog ""
elog "Please note that the crontab has undergone some modifications"
elog "since 1.3.2, and you should update to it!"
}
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/net-analyzer/munin/munin-1.3.4-r1.ebuild,v 1.6 2008/08/08 20:09:42 nixnut Exp $
inherit eutils
DESCRIPTION="Munin Server Monitoring Tool"
HOMEPAGE="http://munin.sourceforge.net"
SRC_URI="mirror://sourceforge/munin/${PN}_${PV}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 ~mips ppc sparc x86"
IUSE="doc minimal irc mysql postgres ssl"
# Upstream's listing of required modules is NOT correct!
# Some of the postgres plugins use DBD::Pg, while others call psql directly.
# The mysql plugins use mysqladmin directly.
DEPEND_COM="dev-lang/perl
sys-process/procps
ssl? ( dev-perl/Net-SSLeay )
mysql? ( virtual/mysql )
postgres? ( dev-perl/DBD-Pg virtual/postgresql-base )
irc? ( dev-perl/Net-IRC )
dev-perl/DateManip
dev-perl/Net-Netmask
dev-perl/Net-SNMP
dev-perl/libwww-perl
dev-perl/net-server
virtual/perl-Digest-MD5
virtual/perl-Getopt-Long
virtual/perl-MIME-Base64
virtual/perl-Storable
virtual/perl-Text-Balanced
virtual/perl-Time-HiRes
!minimal? ( dev-perl/HTML-Template
net-analyzer/rrdtool )"
# Sybase isn't supported in Gentoo
#munin-sybase? ( dev-perl/DBD-Sybase )
# Keep this seperate, as previous versions have had other deps here
DEPEND="${DEPEND_COM}"
RDEPEND="${DEPEND_COM}
!minimal? ( virtual/cron )"
pkg_setup() {
enewgroup munin
enewuser munin 177 -1 /var/lib/munin munin
}
src_unpack() {
if use !minimal; then
if ! built_with_use net-analyzer/rrdtool perl ; then
die 'Sorry, munin needs net-analyzer/rrdtool built with USE=perl.'
fi
fi
unpack ${A}
# upstream needs a lot of DESTDIR loving
# and Gentoo location support
EPATCH_OPTS="-p1 -d ${S}" epatch ${FILESDIR}/${PN}-1.3.4-Makefile.patch
# Fix noise in the plugins
EPATCH_OPTS="-p1 -d ${S}" epatch ${FILESDIR}/${PN}-1.3.4-plugin-cleanup.patch
# Bug #195964, fix up conntrack
EPATCH_OPTS="-p0 -d ${S}" epatch "${FILESDIR}"/${PN}-1.3.3-fw_conntrack_plugins.patch
# Bug #225671, cannot produce HTML if RRD and graphs have not yet run.
EPATCH_OPTS="-p1 -d ${S}" epatch "${FILESDIR}"/${PN}-1.3.4-no-html-if-no-input.patch
}
src_compile() {
emake build build-man || die "build/build-man failed"
if use doc; then
emake build-doc || die "build-doc failed"
fi
#Ensure TLS is disabled if built without SSL
if ! use ssl; then
echo "tls disabled" >> ${S}/build/node/munin-node.conf \
|| die "Fixing munin-node.conf Failed!"
echo "tls disabled" >> ${S}/build/server/munin.conf \
|| die "Fixing munin.conf Failed!"
fi
}
src_install() {
local dirs
dirs="/var/log/munin/ /var/lib/munin/"
dirs="${dirs} /var/lib/munin/plugin-state/"
dirs="${dirs} /var/run/munin/plugin-state/"
dirs="${dirs} /etc/munin/plugin-conf.d/"
dirs="${dirs} /etc/munin/plugins/"
keepdir ${dirs}
emake DESTDIR="${D}" install-main install-man install-node install-node-plugins || die "install failed"
fowners munin:munin ${dirs}
emake DESTDIR="${D}" install-man || die "install manpages failed"
insinto /etc/munin/plugin-conf.d/
newins "${FILESDIR}"/${PN}-1.3.2-plugins.conf munin-node
# make sure we've got everything in the correct directory
insinto /var/lib/munin
newins "${FILESDIR}"/${PN}-1.3.3-crontab crontab
newinitd "${FILESDIR}"/munin-node_init.d_1.3.3-r1 munin-node
newconfd "${FILESDIR}"/munin-node_conf.d_1.3.3-r1 munin-node
dodoc README ChangeLog INSTALL logo.eps logo.svg build/resources/apache*
}
pkg_config() {
einfo "Press enter to install the default crontab for the munin master"
einfo "installation from /var/lib/munin/crontab"
einfo "If you have a large site, you may wish to customize it."
read
# dcron is very fussy about syntax
# the following is the only form that works in BOTH dcron and vixie-cron
crontab - -u munin
}
pkg_postinst() {
elog "Please follow the munin documentation to set up the plugins you"
elog "need, afterwards start munin-node via /etc/init.d/munin-node."
elog "To have munin's cronjob automatically configured for you if this is"
elog "your munin master installation, please:"
elog "emerge --config net-analyzer/munin"
elog ""
elog "Please note that the crontab has undergone some modifications"
elog "since 1.3.2, and you should update to it!"
}
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/net-analyzer/munin/munin-1.3.4.ebuild,v 1.2 2008/06/01 20:56:24 robbat2 Exp $
inherit eutils
DESCRIPTION="Munin Server Monitoring Tool"
HOMEPAGE="http://munin.sourceforge.net"
SRC_URI="mirror://sourceforge/munin/${PN}_${PV}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~mips ~ppc ~sparc ~x86"
IUSE="doc minimal munin-irc munin-dhcp munin-surfboard munin-apache munin-squid ssl"
# Upstream's listing of required modules is NOT correct!
DEPEND_COM="dev-lang/perl
dev-perl/net-server
sys-process/procps
ssl? ( dev-perl/Net-SSLeay )
dev-perl/Net-SNMP
dev-perl/DateManip
virtual/perl-Time-HiRes
virtual/perl-Digest-MD5
virtual/perl-Getopt-Long
virtual/perl-Storable
virtual/perl-Text-Balanced
!minimal? ( dev-perl/HTML-Template
net-analyzer/rrdtool )
munin-irc? ( dev-perl/Net-IRC )
munin-dhcp? ( dev-perl/Net-Netmask dev-perl/libwww-perl )
munin-surfboard? ( dev-perl/libwww-perl )
munin-apache? ( dev-perl/libwww-perl )
munin-squid? ( virtual/perl-MIME-Base64 )"
# Sybase isn't supported in Gentoo
#munin-sybase? ( dev-perl/DBD-Sybase )
# Keep this seperate, as previous versions have had other deps here
DEPEND="${DEPEND_COM}"
RDEPEND="${DEPEND_COM}
!minimal? ( virtual/cron )"
pkg_setup() {
enewgroup munin
enewuser munin 177 -1 /var/lib/munin munin
}
src_unpack() {
if use !minimal; then
if ! built_with_use net-analyzer/rrdtool perl ; then
die 'Sorry, munin needs net-analyzer/rrdtool built with USE=perl.'
fi
fi
unpack ${A}
# upstream needs a lot of DESTDIR loving
# and Gentoo location support
EPATCH_OPTS="-p1 -d ${S}" epatch ${FILESDIR}/${PN}-1.3.4-Makefile.patch
# Fix noise in the plugins
EPATCH_OPTS="-p1 -d ${S}" epatch ${FILESDIR}/${PN}-1.3.4-plugin-cleanup.patch
# Bug #195964, fix up conntrack
EPATCH_OPTS="-p0 -d ${S}" epatch "${FILESDIR}"/munin-1.3.3-fw_conntrack_plugins.patch
}
src_compile() {
emake build build-man || die "build/build-man failed"
if use doc; then
emake build-doc || die "build-doc failed"
fi
#Ensure TLS is disabled if built without SSL
if ! use ssl; then
echo "tls disabled" >> ${S}/build/node/munin-node.conf \
|| die "Fixing munin-node.conf Failed!"
echo "tls disabled" >> ${S}/build/server/munin.conf \
|| die "Fixing munin.conf Failed!"
fi
}
src_install() {
local dirs
dirs="/var/log/munin/ /var/lib/munin/"
dirs="${dirs} /var/lib/munin/plugin-state/"
dirs="${dirs} /var/run/munin/plugin-state/"
dirs="${dirs} /etc/munin/plugin-conf.d/"
dirs="${dirs} /etc/munin/plugins/"
keepdir ${dirs}
emake DESTDIR="${D}" install-main install-man install-node install-node-plugins || die "install failed"
fowners munin:munin ${dirs}
emake DESTDIR="${D}" install-man || die "install manpages failed"
insinto /etc/munin/plugin-conf.d/
newins ${FILESDIR}/${PN}-1.3.2-plugins.conf munin-node
# make sure we've got everything in the correct directory
insinto /var/lib/munin
newins ${FILESDIR}/${PN}-1.3.3-crontab crontab
newinitd ${FILESDIR}/munin-node_init.d_1.3.3-r1 munin-node
newconfd ${FILESDIR}/munin-node_conf.d_1.3.3-r1 munin-node
dodoc README ChangeLog INSTALL logo.eps logo.svg build/resources/apache*
}
pkg_config() {
einfo "Press enter to install the default crontab for the munin master"
einfo "installation from /var/lib/munin/crontab"
einfo "If you have a large site, you may wish to customize it."
read
# dcron is very fussy about syntax
# the following is the only form that works in BOTH dcron and vixie-cron
crontab - -u munin
}
pkg_postinst() {
elog "Please follow the munin documentation to set up the plugins you"
elog "need, afterwards start munin-node via /etc/init.d/munin-node."
elog "To have munin's cronjob automatically configured for you if this is"
elog "your munin master installation, please:"
elog "emerge --config net-analyzer/munin"
elog ""
elog "Please note that the crontab has undergone some modifications"
elog "since 1.3.2, and you should update to it!"
}